Skip to main content
`Ctrl`+`K`

# DMLabelGetType

Gets the type name (as a string) from the label.

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetType(DMLabel label, DMLabelType *type)

Not Collective

## Input Parameter

- label - The `DMLabel`

## Output Parameter

- type - The `DMLabel` type name

## See Also

`DMLabel`, `DM`, `DMLabelSetType()`, `DMLabelCreate()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages